%define	major 9
%define	util_major 2
%define	protocol_major 0
%define	hashkit_major 1
%define libname %mklibname memcached %{major}
%define util_libname %mklibname memcachedutil %{util_major}
%define protocol_libname %mklibname memcachedprotocol %{protocol_major}
%define hashkit_libname %mklibname memcachedhashkit %{hashkit_major}
%define develname %mklibname memcached -d

Summary:	A memcached C library and command line tools
Name:		libmemcached
Version:	1.0.4
Release:	%mkrel 1
Group:		System/Libraries
License:	BSD
URL:		http://libmemcached.org/
Source0:	http://code.launchpad.net/libmemcached/1.0/%version/+download/%name-%version.tar.gz
Patch0:		libmemcached-1.0.2-fix-build.patch
Patch1:		libmemcached-1.0.3-link.patch
BuildRequires:	memcached
BuildRequires:	libevent-devel
BuildRequires:	perl-devel
BuildRequires:	libsasl-devel

%description
libmemcached is a C client library to interface to a memcached server. It has
been designed to be light on memory usage, thread safe, and to provide full
access to server side methods. It also implements several command line tools:

memcapable - Check memcached server capabilites
memcat - Copy the value of a key to standard output
memcp - Copy a set of files to a memcached cluster
memdump - Dump all values from one or many servers
memerror - Translate a memcached errror code into a string
memflush - Flush the contents of your servers
memrm - Remove a key(s) from the serrver
memslap - Generate testing loads on a memcached cluster
memstat - Dump the stats of your servers to standard output
memstat - Output the state of a memcached cluster

%package -n	%{libname}
Summary:	A memcached C library
Group:          System/Libraries

%description -n	%{libname}
libmemcached is a C client library to interface to a memcached server. It has
been designed to be light on memory usage, thread safe, and to provide
full access to server side methods.

%package -n	%{util_libname}
Summary:	A memcached C library
Group:          System/Libraries

%description -n	%{util_libname}
libmemcached is a C client library to interface to a memcached server. It has
been designed to be light on memory usage, thread safe, and to provide
full access to server side methods.

%package -n	%{protocol_libname}
Summary:	A memcached C library
Group:          System/Libraries

%description -n	%{protocol_libname}
libmemcached is a C client library to interface to a memcached server. It has
been designed to be light on memory usage, thread safe, and to provide
full access to server side methods.

%package -n	%{hashkit_libname}
Summary:	A memcached C library
Group:          System/Libraries

%description -n	%{hashkit_libname}
libmemcached is a C client library to interface to a memcached server. It has
been designed to be light on memory usage, thread safe, and to provide
full access to server side methods.

%package -n	%{develname}
Summary:	Static library and header files for the libmemcached library
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{util_libname} = %{version}-%{release}
Requires:	%{protocol_libname} = %{version}-%{release}
Requires:	%{hashkit_libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	libmemcached-devel = %{version}-%{release}

%description -n	%{develname}
libmemcached is a C client library to interface to a memcached server. It has
been designed to be light on memory usage, thread safe, and to provide
full access to server side methods.

This package contains the static libmemcached library and its header files.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p0
%patch1 -p0

%build
autoreconf -fi
%configure2_5x \
    --disable-static \
    --enable-shared \
    --enable-memaslap \
    --with-memcached=%{_bindir}/memcached

%make

%install
rm -rf %{buildroot}

%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%files
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{libname}
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_libdir}/*.so.%{major}*
%{_mandir}/man3/libmemcached.3*

%files -n %{util_libname}
%{_libdir}/libmemcachedutil.so.%{util_major}*
%{_mandir}/man3/libmemcachedutil.3*

%files -n %{protocol_libname}
%{_libdir}/libmemcachedprotocol.so.%{protocol_major}*

%files -n %{hashkit_libname}
%{_libdir}/libhashkit.so.%{hashkit_major}*

%files -n %{develname}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%exclude %{_mandir}/man3/libmemcached.3*
%exclude %{_mandir}/man3/libmemcachedutil.3*
%{_mandir}/man3/*


%changelog

* Sat Jan 28 2012 fwang <fwang> 1.0.4-1.mga2
+ Revision: 202423
- new version 1.0.4

* Tue Jan 10 2012 fwang <fwang> 1.0.3-1.mga2
+ Revision: 194527
- update libmajor
- correct link fix
- rediff link.patch
- new version 1.0.3

* Thu Oct 27 2011 fwang <fwang> 1.0.2-1.mga2
+ Revision: 158565
- fix linkage
- fix build
- new version 1.0.2
- new version 0.53
- more fix
- more fix
- more build fix
- fix test build
- new version 0.51

* Sun Jul 17 2011 fwang <fwang> 0.50-1.mga2
+ Revision: 125207
- new version 0.50

* Sun Feb 06 2011 spuhler <spuhler> 0.44-1.mga1
+ Revision: 47618
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package libmemcached

